# From_Simultaneous_to_Streaming_Machine_Translation_by_Leveraging_Streaming_History

You can find the repository containing the code for the ACL 2022 paper "From Simultaneous to Streaming Machine Translation by Leveraging Streaming History" at: https://github.com/jairsan/From_Simultaneous_to_Streaming_Machine_Translation_by_Leveraging_Streaming_History

Please refer to the publication:
```
@inproceedings{iranzo-sanchez-etal-2022-simultaneous,
    title = "From Simultaneous to Streaming Machine Translation by Leveraging Streaming History",
    author = "Iranzo-S{\'a}nchez, Javier  and
      Civera, Jorge  and
      Juan, Alfons",
    booktitle = "Proceedings of the 60th Annual Meeting of the Association for Computational Linguistics (Volume 1: Long Papers)",
    month = may,
    year = "2022",
    address = "Dublin, Ireland",
    publisher = "Association for Computational Linguistics",
    url = "https://aclanthology.org/2022.acl-long.480",
    doi = "10.18653/v1/2022.acl-long.480",
    pages = "6972--6985",
    abstract = "Simultaneous machine translation has recently gained traction thanks to significant quality improvements and the advent of streaming applications. Simultaneous translation systems need to find a trade-off between translation quality and response time, and with this purpose multiple latency measures have been proposed. However, latency evaluations for simultaneous translation are estimated at the sentence level, not taking into account the sequential nature of a streaming scenario. Indeed, these sentence-level latency measures are not well suited for continuous stream translation, resulting in figures that are not coherent with the simultaneous translation policy of the system being assessed. This work proposes a stream-level adaptation of the current latency measures based on a re-segmentation approach applied to the output translation, that is successfully evaluated on streaming conditions for a reference IWSLT task.",
}
```